Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
List project secrets. Supports filtering by creation time.
cURL
curl --request GET \ --url https://api.browserbase.com/v1/secrets \ --header 'X-BB-API-Key: <api-key>'
import requests url = "https://api.browserbase.com/v1/secrets" headers = {"X-BB-API-Key": "<api-key>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {'X-BB-API-Key': '<api-key>'}}; fetch('https://api.browserbase.com/v1/secrets', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.browserbase.com/v1/secrets", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "X-BB-API-Key: <api-key>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.browserbase.com/v1/secrets" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("X-BB-API-Key", "<api-key>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.browserbase.com/v1/secrets") .header("X-BB-API-Key", "<api-key>") .asString();
require 'uri' require 'net/http' url = URI("https://api.browserbase.com/v1/secrets") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["X-BB-API-Key"] = '<api-key>' response = http.request(request) puts response.read_body
{ "data": [ { "id": "<string>", "secretKey": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" } ], "limit": 123, "nextCursor": "<string>" }
{ "statusCode": 123, "error": "<string>", "message": "<string>" }
Your Browserbase API Key.
Only return secrets created on or after this timestamp (inclusive). RFC 3339, e.g. 2026-01-19T00:00:00Z.
Only return secrets created on or before this timestamp (inclusive). RFC 3339, e.g. 2026-01-20T00:00:00Z.
Maximum number of results to return.
1 <= x <= 1000
Pagination cursor. Pass the nextCursor from the previous response to fetch the next page. Omit to start from the first page.
The page of matching secrets.
A page of secrets.
Show child attributes
The maximum number of results returned in this page.
Cursor for the next page. Pass it back as cursor on the next request to continue paging. null when there are no more results.
cursor
Was this page helpful?